Package fr.gouv.vitam.worker.core.plugin.probativevalue.pojo

# Class ProbativeCheck

java.lang.Object
fr.gouv.vitam.worker.core.plugin.probativevalue.pojo.ProbativeCheck

public class ProbativeCheck extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProbativeCheck(String name, String details, ChecksInformation.ChecksType type, ChecksInformation.ChecksSourceDestination source, ChecksInformation.ChecksSourceDestination destination, String sourceComparable, String destinationComparable, ChecksInformation.ChecksAction action, ChecksInformation.CheckedItem item, StatusCode status)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProbativeCheck`
  `from(ChecksInformation information, String source, String destination, StatusCode status)`
  `ChecksInformation.ChecksAction`
  `getAction()`
  `ChecksInformation.ChecksSourceDestination`
  `getDestination()`
  `String`
  `getDestinationComparable()`
  `String`
  `getDetails()`
  `ChecksInformation.CheckedItem`
  `getItem()`
  `String`
  `getName()`
  `ChecksInformation.ChecksSourceDestination`
  `getSource()`
  `String`
  `getSourceComparable()`
  `StatusCode`
  `getStatus()`
  `ChecksInformation.ChecksType`
  `getType()`
  `static ProbativeCheck`
  `koFrom(ChecksInformation information, String source, String destination)`
  `static ProbativeCheck`
  `okFrom(ChecksInformation information, String source, String destination)`
  `static ProbativeCheck`
  `warnFrom(ChecksInformation information, String source, String destination)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProbativeCheck

    public ProbativeCheck(String name, String details, ChecksInformation.ChecksType type, ChecksInformation.ChecksSourceDestination source, ChecksInformation.ChecksSourceDestination destination, String sourceComparable, String destinationComparable, ChecksInformation.ChecksAction action, ChecksInformation.CheckedItem item, StatusCode status)

- ## Method Details

  - ### from

    public static ProbativeCheck from(ChecksInformation information, String source, String destination, StatusCode status)

  - ### okFrom

    public static ProbativeCheck okFrom(ChecksInformation information, String source, String destination)

  - ### koFrom

    public static ProbativeCheck koFrom(ChecksInformation information, String source, String destination)

  - ### warnFrom

    public static ProbativeCheck warnFrom(ChecksInformation information, String source, String destination)

  - ### getName

    public String getName()

  - ### getDetails

    public String getDetails()

  - ### getType

    public ChecksInformation.ChecksType getType()

  - ### getSource

    public ChecksInformation.ChecksSourceDestination getSource()

  - ### getDestination

    public ChecksInformation.ChecksSourceDestination getDestination()

  - ### getSourceComparable

    public String getSourceComparable()

  - ### getDestinationComparable

    public String getDestinationComparable()

  - ### getAction

    public ChecksInformation.ChecksAction getAction()

  - ### getItem

    public ChecksInformation.CheckedItem getItem()

  - ### getStatus

    public StatusCode getStatus()